package com.pqs9200.service.advanced;

import com.njcn.utils.sagDomain.DipZoneModel;
import com.pqs9200.pojo.data.*;

import java.io.IOException;
import java.util.List;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月07日 10:18
 */
public interface SvgService {
    /**
     * 保存指定文件的svg图形
     * @param fileName 文件名
     * @param xml xml数据
     * @param svg svg数据
     * @return .
     */
    String saveSvg(String fileName, String xml, String svg) throws IOException;

    /**
     * 获取svg数据
     * @param index 所选svg的uuid
     * @param type 数据类型
     * @return .
     */
    String loadSvg(String index, String type) throws IOException;
    
    /**
     * create by: xu yang
     * description: 保存图元信息
     * create time: 2021/12/13 14:59
     */
    void saveCell(SvgCells svgCells);

    SvgCells getCell(Integer cellIndex);

    void saveAllCells(SvgAllCells svgAllCells);

    List<SvgCells> getAllCells();

    DipZoneModel[] getSagDomain(SvgSagDomain svgSagDomain);

    void saveSensitivePoint(SvgSensitivePoint svgSensitivePoint);

    List<SvgCalucateInfo> getAllCalucateInfo();

    int deleteCalucateInfo(String index);
}
